#!/bin/ksh

#
#          Licensed Materials - Property of IBM
#          5724-B96
#
#          Copyright IBM Corp. 2006 All Rights Reserved
#          US Government Users Restricted Rights - Use, duplication or
#          disclosure restricted by GSA ADP Schedule Contract with
#          IBM Corp.
#
# Patch installation wrapper.  Certain itmpatch non-zero
# exit codes are not really failures, and as such should
# not cause the entire patch process to abort.  This wrapper
# converts acceptable non-zero exit codes into a success
# code.  The list of acceptable non-zero codes:
#
#    11 - installed version is greater than patch version
#

prepatch=$1
if [[ -z $CANDLEHOME ]]
then
    echo "CANDLEHOME is not set. Get it from the parameter."
    CANDLEHOME=$2
fi

$CANDLEHOME/bin/itmpatch -h $CANDLEHOME -i $prepatch 2> /dev/null
STATUS=$?

if [ "$STATUS" -eq 11 ]
then
    echo "The itmpatch exit code [$STATUS] is okay."
    exit 0
else
    echo "Exiting with itmpatch exit code [$STATUS]."
    exit $RESULT
fi 
